Alice Community  

Go Back   Alice Community > Alice 2 > Bugs and Troubleshooting

Reply
 
Thread Tools Display Modes
Unable to run alice 2.3 (again)
Old
mat9999
Junior Member
 
Status: Offline
Posts: 7
Join Date: Nov 2012
Location: Ljubljana
Default Unable to run alice 2.3 (again) - 11-08-2012, 06:44 PM

My Alice 2.3 starts, but hangs on loading... It runs on Win XP, SP3, Core2Duo, 2GHz, 3GBRAM, 1280x720 resolution screen, Java 6.31. I must end the process in task manager.

Do someone have some suggestion what to do?

Thanks.
   
Reply With Quote
Alice will not run
Old
djslater107
Administrator
 
Status: Offline
Posts: 145
Join Date: Jan 2007
Default Alice will not run - 11-09-2012, 07:26 AM

Would you do me a favor, delete the version of Alice that you have on your machine that you are trying to run and download an earlier version of Alice, to see if it will install and run. Try the August 5 version, available at this link…

http://www.alice.org/index.php?page=...ice2.2_archive

Thank you,
Don


Don Slater
Alice Team
Carnegie Mellon University
   
Reply With Quote
Old
mat9999
Junior Member
 
Status: Offline
Posts: 7
Join Date: Nov 2012
Location: Ljubljana
Default 11-09-2012, 03:55 PM

So, as you've already know I downloaded recommended version from august, I remove .alice folder, I deinstalled 3.1, cleared the registry and folders and tryed to run 2.3 on 4 PC (3 stacionary and 1 laptop). They all had XP SP3, slightly different resolution, 3 of them core2duo and laptop with dual core. The situation is the same everywere. But Alice 2.2 works. Now I have only 2 reason remain: 1. national settings or 2. bad copy of 2.3 . Or... ?

I'd like to figure out who had had the same problem, and because of this replaced 2.3 with 2.2? This might be good to know, to find the reason faster.

Thanks.

Last edited by mat9999; 11-09-2012 at 04:13 PM.
   
Reply With Quote
Problems running Alice
Old
djslater107
Administrator
 
Status: Offline
Posts: 145
Join Date: Jan 2007
Default Problems running Alice - 11-10-2012, 08:55 AM

This may be a 32/64 bit operating system problem. Our JOGL libraries are for 32bit system, so all 64 bit users need to make their Alice open in 32bit. There is a setting in the properties to do this (for both MAC and Windows)


Don Slater
Alice Team
Carnegie Mellon University
   
Reply With Quote
Old
mat9999
Junior Member
 
Status: Offline
Posts: 7
Join Date: Nov 2012
Location: Ljubljana
Default 11-10-2012, 11:25 AM

http://www.pugetsystems.com/blog/201...-applications/

Last edited by mat9999; 11-10-2012 at 01:15 PM.
   
Reply With Quote
Old
mat9999
Junior Member
 
Status: Offline
Posts: 7
Join Date: Nov 2012
Location: Ljubljana
Default 11-11-2012, 12:50 PM

Return to my main problem I discovered, that 2.3 doesn't work on Vista as well.
   
Reply With Quote
I can't start Alice 2.3 too.
Old
twachi
Junior Member
 
Status: Offline
Posts: 2
Join Date: Nov 2012
Exclamation I can't start Alice 2.3 too. - 11-13-2012, 04:58 AM

I can't start Alice 2.3 on Windows XP too.
So I try to run in command line and it show this exception message:

Code:
java.lang.NoClassDefFoundError: Could not initialize class edu.cmu.cs.stage3.alice.scenegraph.renderer.directx7renderer.Renderer
        at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
        at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:39)
        at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:27)
        at java.lang.reflect.Constructor.newInstance(Constructor.java:513)
        at java.lang.Class.newInstance0(Class.java:355)
        at java.lang.Class.newInstance(Class.java:308)
        at edu.cmu.cs.stage3.alice.scenegraph.renderer.DefaultRenderTargetFactory.getRenderer(DefaultRenderTargetFactory.java:85)
        at edu.cmu.cs.stage3.alice.scenegraph.renderer.DefaultRenderTargetFactory.setIsSoftwareEmulationForced(DefaultRenderTargetFactory.java:79)
        at edu.cmu.cs.stage3.alice.authoringtool.AuthoringTool.getRenderTargetFactory(AuthoringTool.java:990)
        at edu.cmu.cs.stage3.alice.authoringtool.editors.sceneeditor.CameraViewPanel.renderInit(CameraViewPanel.java:872)
        at edu.cmu.cs.stage3.alice.authoringtool.editors.sceneeditor.SceneEditor.setAuthoringTool(SceneEditor.java:238)
        at edu.cmu.cs.stage3.alice.authoringtool.JAliceFrame.guiInit(JAliceFrame.java:176)
        at edu.cmu.cs.stage3.alice.authoringtool.JAliceFrame.<init>(JAliceFrame.java:87)
        at edu.cmu.cs.stage3.alice.authoringtool.AuthoringTool.mainInit(AuthoringTool.java:461)
        at edu.cmu.cs.stage3.alice.authoringtool.AuthoringTool.<init>(AuthoringTool.java:411)
        at edu.cmu.cs.stage3.alice.authoringtool.JAlice.main(JAlice.java:138)
java.lang.NullPointerException
        at edu.cmu.cs.stage3.alice.scenegraph.renderer.DefaultRenderTargetFactory.setIsSoftwareEmulationForced(DefaultRenderTargetFactory.java:79)
        at edu.cmu.cs.stage3.alice.authoringtool.AuthoringTool.getRenderTargetFactory(AuthoringTool.java:990)
        at edu.cmu.cs.stage3.alice.authoringtool.editors.sceneeditor.CameraViewPanel.renderInit(CameraViewPanel.java:872)
        at edu.cmu.cs.stage3.alice.authoringtool.editors.sceneeditor.SceneEditor.setAuthoringTool(SceneEditor.java:238)
        at edu.cmu.cs.stage3.alice.authoringtool.JAliceFrame.guiInit(JAliceFrame.java:176)
        at edu.cmu.cs.stage3.alice.authoringtool.JAliceFrame.<init>(JAliceFrame.java:87)
        at edu.cmu.cs.stage3.alice.authoringtool.AuthoringTool.mainInit(AuthoringTool.java:461)
        at edu.cmu.cs.stage3.alice.authoringtool.AuthoringTool.<init>(AuthoringTool.java:411)
        at edu.cmu.cs.stage3.alice.authoringtool.JAlice.main(JAlice.java:138)
My windows was installed DirectX version 9.
What is DirectX version that Alice required?
   
Reply With Quote
Running Alice 2.3.1
Old
djslater107
Administrator
 
Status: Offline
Posts: 145
Join Date: Jan 2007
Default Running Alice 2.3.1 - 11-13-2012, 11:10 AM

Go to the Alice 2.x archive

http://www.alice.org/index.php?page=...ice2.2_archive

download and install the 3/1/12 version. Alice creates an invisible .alice or .alice2 folder in your home directory. Delete that before running the older version.


Don Slater
Alice Team
Carnegie Mellon University
   
Reply With Quote
Old
mat9999
Junior Member
 
Status: Offline
Posts: 7
Join Date: Nov 2012
Location: Ljubljana
Default 11-13-2012, 05:32 PM

Don, I need Alice 2.3, not 2.2.
   
Reply With Quote
Now, I can start Alice 2.3.
Old
twachi
Junior Member
 
Status: Offline
Posts: 2
Join Date: Nov 2012
Talking Now, I can start Alice 2.3. - 11-13-2012, 11:22 PM

Yesterday, I cloud not start Alice 2.3 on my Windows XP.
Now I just found solution to start Alice 2.3

There are two files in folder "Alice 2.3\Required\lib".

1. jni_directx7renderer.dll is used for Windows 7.
2. jni_directx7renderer1.dll is used for Windows XP.

If you want to start Alice 2.3 on Windows XP

Just delete file "jni_directx7renderer.dll" or rename it to another name.
After that rename file "jni_directx7renderer1.dll" to "jni_directx7renderer.dll"
   
Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump



Copyright ©2017, Carnegie Mellon University
Alice 2.x © 1999-2012, Alice 3.x © 2008-2012, Carnegie Mellon University. All rights reserved.